List

Lists all drivers belonging to the caller’s organization. Filter by availability. | () -> (list[Driver1])

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

available_according_to_driverbooleanOptional

Filter by driver’s self-reported availability.

available_according_to_operatorsbooleanOptional

Filter by operator-set availability.

Response

Successful Response
schema_versioninteger
_idstring
org_idstring

Must be a string starting with org_

user_idstring

Must be a string starting with user_

email_address_primarystring or nullformat: "email"
email_address_secondarystring or nullformat: "email"
phone_number_primarystring or null
phone_number_secondarystring or null
first_namestring or null
last_namestring or null
vehicle_typeslist of enums or null
statusenum or null
Allowed values:
available_according_to_driverboolean or nullDefaults to true
available_according_to_operatorsboolean or nullDefaults to true
active_task_group_idslist of strings or null
last_seen_at_locationobject or null

GeoJSON Feature with typed properties for locations

The geometry field is strongly typed as Geometry (union of all geometry types) but remains optional to match the base Feature class specification. To ensure geometry is always present, validate it at runtime or make it required.

last_seen_at_timestampdatetime or null
default_rate_sheet__routedstring or null
default_rate_sheet__on_demandstring or null

Errors